%define         tarname  zope.interface
%define         name python-zope-interface
%define         version 4.0.5

Summary:        Zope 3 Interface Infrastructure
Name:           %{name}
Version:        %{version}
Release:        %mkrel 3
Source0:        http://pypi.python.org/packages/source/z/%{tarname}/%{tarname}-%{version}.zip
License:        ZPLv2.1
Group:          Development/Python
URL:            http://docs.zope.org/zope.interface/
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-nose

%description
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%package -n python3-zope-interface
Summary:        Zope 3 Interface Infrastructure
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description -n python3-zope-interface
Interfaces are a mechanism for labeling objects as conforming to a given API
or contract.

This is a separate distribution of the zope.interface package used in Zope 3.

%prep
%setup -q -n zope.interface-%{version}
rm -rf %{tarname}.egg-info

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

# Will put docs in %%{_docdir} instead
%{__rm} -f %{buildroot}%{python3_sitearch}/zope/interface/{,tests/}*.txt

# C files don't need to be packaged
%{__rm} -f %{buildroot}%{python3_sitearch}/zope/interface/_zope_interface_coptimizations.c
popd

%{__python} setup.py install -O1 --skip-build --root  %{buildroot}

# Will put docs in %%{_docdir} instead
%{__rm} -f %{buildroot}%{python_sitearch}/zope/interface/{,tests/}*.txt

# C files don't need to be packaged
%{__rm} -f %{buildroot}%{python_sitearch}/zope/interface/_zope_interface_coptimizations.c


%check
PYTHONPATH=$(pwd) nosetests

pushd %{py3dir}
PYTHONPATH=$(pwd) nosetests-%{py3ver}
popd

%files
%doc README.rst LICENSE.txt CHANGES.rst COPYRIGHT.txt docs/
%{python_sitearch}/zope/interface/
# Co-own %%{python_sitearch}/zope/
%dir %{python_sitearch}/zope/
%exclude %{python_sitearch}/zope/interface/tests/
%exclude %{python_sitearch}/zope/interface/common/tests/
%{python_sitearch}/zope.interface-*.egg-info
%{python_sitearch}/zope.interface-*-nspkg.pth

%files -n python3-zope-interface
%doc README.rst LICENSE.txt CHANGES.rst COPYRIGHT.txt docs/
%{python3_sitearch}/zope/interface/
# Co-own %%{python3_sitearch}/zope/
%dir %{python3_sitearch}/zope/
%exclude %{python3_sitearch}/zope/interface/tests/
%exclude %{python3_sitearch}/zope/interface/common/tests/
%{python3_sitearch}/zope.interface-*.egg-info
%{python3_sitearch}/zope.interface-*-nspkg.pth




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 4.0.5-3.mga4
+ Revision: 544521
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.0.5-2.mga4
+ Revision: 499794
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jul 05 2013 philippem <philippem> 4.0.5-1.mga4
+ Revision: 450345
- Update to 4.0.5

* Sun Jan 13 2013 umeabot <umeabot> 4.0.2-2.mga3
+ Revision: 379736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 4.0.2-1.mga3
+ Revision: 334171
- Update to 4.0.2
- Add Python3 package

* Sat Sep 08 2012 philippem <philippem> 4.0.1-1.mga3
+ Revision: 290146
- New upstream release 4.0.1

* Mon Jan 09 2012 philippem <philippem> 3.7.0-1.mga2
+ Revision: 194094
- Update to 3.7.0.
- Clean licence
- Add check

* Wed Jan 19 2011 erwan <erwan> 3.6.1-1.mga1
+ Revision: 24929
- imported package python-zope-interface


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.6.1-1mdv2011.0
+ Revision: 603077
- update to new version 3.6.1

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 3.5.3-2mdv2011.0
+ Revision: 590793
- rebuild

* Wed Feb 24 2010 Lev Givon <lev@mandriva.org> 3.5.3-1mdv2010.1
+ Revision: 510736
- Update to 3.5.3.

* Thu Sep 17 2009 Michael Scherer <misc@mandriva.org> 3.5.2-1mdv2010.0
+ Revision: 443922
- update to 3.5.2
- new url to download tarball

* Mon Aug 31 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.5.0-3mdv2010.0
+ Revision: 423101
- install python scripts in py_platsitedir

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 3.5.0-2mdv2009.1
+ Revision: 324058
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.1-2mdv2009.1
+ Revision: 318614
- rebuild for python 2.6

* Sun Aug 17 2008 Lev Givon <lev@mandriva.org> 3.4.1-1mdv2009.0
+ Revision: 273067
- Update to 3.4.1.

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.3.0-4mdv2009.0
+ Revision: 219584
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 3.3.0-3mdv2008.0
+ Revision: 67517
- rebuild
- rebuild

* Wed Apr 25 2007 Lev Givon <lev@mandriva.org> 3.3.0-1mdv2008.0
+ Revision: 18066
- Update to 3.3.0.


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 3.0.1-2mdv2007.0
+ Revision: 88145
- Import python-zope-interface

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 3.0.1-2mdv2007.1
- update file list

* Mon May 09 2005 Michael Scherer <misc@mandriva.org> 3.0.1-1mdk
- Initial package

